tigase.jaxmpp.core.client.xmpp.modules.adhoc

## Enum Action

- java.lang.Object
- - java.lang.Enum<Action>
  - - tigase.jaxmpp.core.client.xmpp.modules.adhoc.Action

- All Implemented Interfaces:
    Serializable, Comparable<Action>

      public enum Action
      extends Enum<Action>

  Command Actions.
  Author:
    bmalkow

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `cancel` The command should be canceled.
    `complete` The command should be completed (if possible).
    `execute` The command should be executed or continue to be executed.
    `next` The command should progress to the next stage of execution.
    `prev` The command should be digress to the previous stage of execution.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Action` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Action[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### cancel

          public static final Action cancel

      The command should be canceled.

    - #### complete

          public static final Action complete

      The command should be completed (if possible).

    - #### execute

          public static final Action execute

      The command should be executed or continue to be executed. This is the default value.

    - #### next

          public static final Action next

      The command should progress to the next stage of execution.

    - #### prev

          public static final Action prev

      The command should be digress to the previous stage of execution.

  - ### Method Detail

    - #### values

          public static Action[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Action c : Action.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Action valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2017 Tigase. All rights reserved.